'use client';
import { useState } from 'react';
import { useGraphQlPeopleList } from '@/pages/people/queries';
import { PeopleDataTableUpdate } from '@/pages/people/update/table/data-table';
import { PeopleForm } from '@/pages/people/update/form';
import { useSearchParams, useRouter } from 'next/navigation'
import { Button } from '@/components/ui/button';

const PageUpdatePeople = () => {
    const [page, setPage] = useState(1);
    const [limit, setLimit] = useState(10);
    const [sort, setSort] = useState({ createdAt: 'desc' });
    const [filters, setFilters] = useState({});
    const searchParams = useSearchParams()
    const router = useRouter()
    const uuid = searchParams?.get('uuid') || null
    const backToPeople = <>
        <div>UUID not found in search params</div>
        <Button onClick={() => router.push('/people')}>Back to People</Button>
    </>
    if (!uuid) { return backToPeople }
    const { data, isLoading, error, refetch } = useGraphQlPeopleList({ limit, skip: (page - 1) * limit, sort, filters: { ...filters, uuid } });
    const initData = data?.data?.[0] || null;
    if (!initData) { return backToPeople }
    return (
        <>
            <PeopleDataTableUpdate
                data={data?.data || []} totalCount={data?.totalCount || 0} currentPage={page} pageSize={limit}
                onPageChange={setPage} onPageSizeChange={setLimit} refetchTable={refetch}
            />
            <PeopleForm refetchTable={refetch} initData={initData} selectedUuid={uuid} />
        </>
    )
}

export { PageUpdatePeople };
